#include <stdio.h>
#include "stm32f10x.h"
#include "RCC_init.h"
#include "stm32f10x_gpio.h"
#include "lcd4bit.h"
#include "eeprom.h"

char data_str[16];
uint16_t data_read[4] = {0,0,0,0};	

FLASH_Status FlashStatus;
uint16_t VarValue = 0,flashstatus=0,cnt_address = 0;
 
uint16_t VirtAddVarTab[NumbOfVar] = {0x5555, 0x6666, 0x7777};
 
int main(void)
{

	RCC_INIT();
	
	FLASH_Unlock();

  flashstatus = EE_Init();
	if(flashstatus == FLASH_COMPLETE)
	{
	   flashstatus = 0;
	}
	
	lcd_init();
	lcd_clear();
	set_cursor(1,1);	
	
	for (VarValue = 0; VarValue < 4; VarValue++)
  {
    EE_WriteVariable(VirtAddVarTab[0]+cnt_address, VarValue+3);
		cnt_address++;
  }
	
while(1) 
	  {
			EE_ReadVariable(VirtAddVarTab[0],&data_read[0]);
			EE_ReadVariable(VirtAddVarTab[0]+1,&data_read[1]);
			EE_ReadVariable(VirtAddVarTab[0]+2,&data_read[2]);
			EE_ReadVariable(VirtAddVarTab[0]+3,&data_read[3]);
	    sprintf((char*)data_str,"%x %x %x %x", data_read[0],data_read[1],data_read[2],data_read[3]);
  		set_cursor(1,1);
  	  lcd_putsf((char*)data_str);
			
    }

}


